Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.desktop2
Class DesktopBooter

    java.lang.Object
      madkit.kernel.AbstractMadkitBooter
          madkit.desktop2.DesktopBooter

All Implemented Interfaces:
  GraphicShell

    public class DesktopBooter

extends AbstractMadkitBooter

Field Summary

Fields inherited from class madkit.kernel.AbstractMadkitBooter
`ALL_FILES, allowForPluginAgentification, BEANSHELL_FILE, CONFIG_FILE, FORMALISM_FILE, graphics, guis, initFile, initialAgentClass, initialAgentName, ipaddress, ipnumeric, isGraphics, JESS_FILE, labeltable, nativelf, network, port, PYTHON_FILE, SCHEME_FILE, SEDIT_FILE, theKernel`

Constructor Summary
`protected` | `DesktopBooter(boolean isg, boolean ipnumeric, java.lang.String initFile, java.lang.String ipaddress, boolean network)`

Method Summary
`void` | `disposeGUI(AbstractAgent a)` This method is called by the MadKit kernel when a local agent is killed, so that the host graphical application can clean up the wrapper graphical interface
`void` | `disposeGUIImmediatly(AbstractAgent a)` This method is called by the MadKit kernel when a local agent request the host graphical application to remove its wrapper graphical interface
`protected void` | `init(boolean isg, boolean ipnumeric, java.lang.String initFile, java.lang.String ipaddress, boolean network)` Initialization method of the boot process.
`static void` | `main(java.lang.String[] argv)`
`protected void` | `registerAgentGUI(AbstractAgent a, java.awt.Component c)`
`static void` | `setDesktopAgent(DesktopAgent a)`
`void` | `setupGUI(AbstractAgent a, java.awt.Point p, java.awt.Dimension d)` This method is identical to setupGUI(AbstractAgent a) except that location and dimension of the graphic interface are passed as arguments.

Methods inherited from class madkit.kernel.AbstractMadkitBooter
`bootProcess, createWindowHandler, getAgentLabel, getAgentLabelFromClassName, getBooter, getDefaultGUIObject, getSplashScreen, launchAgent, launchAgent, loadConfigFile, loadFile, makeJavaAgent, makeScriptAgent, setBooter, setProgress, setSplashScreen, setupGUI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DesktopBooter

    protected DesktopBooter(boolean isg,
                            boolean ipnumeric,
                            java.lang.String initFile,
                            java.lang.String ipaddress,
                            boolean network)

Method Detail

### setDesktopAgent

    public static void setDesktopAgent(DesktopAgent a)

### main

    public static void main(java.lang.String[] argv)

### init

    protected void init(boolean isg,
                        boolean ipnumeric,
                        java.lang.String initFile,
                        java.lang.String ipaddress,
                        boolean network)

  Description copied from class: `AbstractMadkitBooter`
  Initialization method of the boot process. Normally called as 'super' from subclasses that overrides this method.

  Overrides:
    `init` in class `AbstractMadkitBooter`

### setupGUI

    public void setupGUI(AbstractAgent a,
                         java.awt.Point p,
                         java.awt.Dimension d)

  Description copied from interface: `GraphicShell`
  This method is identical to setupGUI(AbstractAgent a) except that location and dimension of the graphic interface are passed as arguments. This method should not be called directly and is used only for restoring a configuration of agents

  Specified by:
    `setupGUI` in interface `GraphicShell`
  Overrides:
    `setupGUI` in class `AbstractMadkitBooter`

### disposeGUI

    public void disposeGUI(AbstractAgent a)

  Description copied from interface: `GraphicShell`
  This method is called by the MadKit kernel when a local agent is killed, so that the host graphical application can clean up the wrapper graphical interface

  Specified by:
    `disposeGUI` in interface `GraphicShell`
  Overrides:
    `disposeGUI` in class `AbstractMadkitBooter`

### disposeGUIImmediatly

    public void disposeGUIImmediatly(AbstractAgent a)

  Description copied from interface: `GraphicShell`
  This method is called by the MadKit kernel when a local agent request the host graphical application to remove its wrapper graphical interface

  Specified by:
    `disposeGUIImmediatly` in interface `GraphicShell`
  Overrides:
    `disposeGUIImmediatly` in class `AbstractMadkitBooter`

### registerAgentGUI

    protected void registerAgentGUI(AbstractAgent a,
                                    java.awt.Component c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.